C#
using Auth0.ManagementApi;
using System.Threading.Tasks;
public partial class Examples
{
public async Task Example() {
var client = new ManagementClient(
token: "<token>"
);
await client.RulesConfigs.DeleteAsync(
"key"
);
}
}
package example
import (
context "context"
client "github.com/auth0/go-auth0/management/management/client"
option "github.com/auth0/go-auth0/management/management/option"
)
func do() {
client := client.NewClient(
option.WithToken(
"<token>",
),
)
client.RulesConfigs.Delete(
context.TODO(),
"key",
)
}
package com.example.usage;
import com.auth0.client.mgmt.ManagementApi;
public class Example {
public static void main(String[] args) {
ManagementApi client = ManagementApi
.builder()
.token("<token>")
.build();
client.rulesConfigs().delete("key");
}
}<?php
namespace Example;
use Auth0\SDK\API\Management\Management;
$client = new Management(
token: '<token>',
);
$client->rulesConfigs->delete(
'key',
);
from auth0.management import ManagementClient
client = ManagementClient(
token="<token>",
)
client.rules_configs.delete(
key="key",
)
require "auth0"
client = Auth0::Management.new(token: "<token>")
client.rules_configs.delete(key: "key")
import { ManagementClient } from "auth0";
async function main() {
const client = new ManagementClient({
token: "<token>",
});
await client.rulesConfigs.delete("key");
}
main();
import { ManagementClient } from "auth0";
async function main() {
const client = new ManagementClient({
token: "<token>",
});
await client.rulesConfigs.delete("key");
}
main();
curl --request DELETE \
--url https://{tenantDomain}/api/v2/rules-configs/{key} \
--header 'Authorization: Bearer <token>'Delete rules config for a given key
Delete a rules config variable identified by its key.
DELETE
https://{tenantDomain}/api/v2
/
rules-configs
/
{key}
C#
using Auth0.ManagementApi;
using System.Threading.Tasks;
public partial class Examples
{
public async Task Example() {
var client = new ManagementClient(
token: "<token>"
);
await client.RulesConfigs.DeleteAsync(
"key"
);
}
}
package example
import (
context "context"
client "github.com/auth0/go-auth0/management/management/client"
option "github.com/auth0/go-auth0/management/management/option"
)
func do() {
client := client.NewClient(
option.WithToken(
"<token>",
),
)
client.RulesConfigs.Delete(
context.TODO(),
"key",
)
}
package com.example.usage;
import com.auth0.client.mgmt.ManagementApi;
public class Example {
public static void main(String[] args) {
ManagementApi client = ManagementApi
.builder()
.token("<token>")
.build();
client.rulesConfigs().delete("key");
}
}<?php
namespace Example;
use Auth0\SDK\API\Management\Management;
$client = new Management(
token: '<token>',
);
$client->rulesConfigs->delete(
'key',
);
from auth0.management import ManagementClient
client = ManagementClient(
token="<token>",
)
client.rules_configs.delete(
key="key",
)
require "auth0"
client = Auth0::Management.new(token: "<token>")
client.rules_configs.delete(key: "key")
import { ManagementClient } from "auth0";
async function main() {
const client = new ManagementClient({
token: "<token>",
});
await client.rulesConfigs.delete("key");
}
main();
import { ManagementClient } from "auth0";
async function main() {
const client = new ManagementClient({
token: "<token>",
});
await client.rulesConfigs.delete("key");
}
main();
curl --request DELETE \
--url https://{tenantDomain}/api/v2/rules-configs/{key} \
--header 'Authorization: Bearer <token>'Authorizations
bearerAuthoAuth2ClientCredentials
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Key of the rules config variable to delete.
Required string length:
1 - 127Response
Rules config variable successfully removed.
Was this page helpful?
Retrieve config variable keys for rules (get_rules-configs)
Previous
Set rules config for a given key
Next
⌘I